## mailman 2.1.23

=== debian/changelog ===
mailman (1:2.1.23-1+deb9u8) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2021-43331: a crafted URL to the Cgi/options.py user options page
    can execute arbitrary JavaScript for XSS. (Closes: #1000367)
  * CVE-2021-43332: the CSRF token for the Cgi/admindb.py admindb page
    contains an encrypted version of the list admin password. This could
    potentially be cracked by a moderator via an offline brute-force
    attack. (Closes: #1000367)
  * CVE-2021-44227: a list member or moderator can get a CSRF token and
    craft an admin request (using that token) to set a new admin password
    or make other changes. (Closes: #1001685)
  * CVE-2021-44227 and CVE 2021-42097 regression fix. (Closes: #1001685)

 -- Sylvain Beucler <beuc@debian.org>  Wed, 08 Jun 2022 20:24:24 +0200

mailman (1:2.1.23-1+deb9u7) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * CVE-2021-42096 & CVE-2021-42097: Fix a potential remote privilege
    escalation vulnerability. A CSRF token value was derived from the admin
    password, and could have been useful in conducting a brute-force attack
    against that password.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Oct 2021 17:38:30 +0100

mailman (1:2.1.23-1+deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix:CVE-2020-12108: Arbitrary Content Injection via the
    options login page.
  * Fix CVE-2020-15011: Arbitrary Content Injection via the
    private archive login page.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Jul 2020 17:37:54 +0530

mailman (1:2.1.23-1+deb9u5) stretch-security; urgency=high

  * Upload to strech for security issue.
  * Fix stored cross site scripting in attachment extensions. 

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 23 Apr 2020 17:48:05 +0200

mailman (1:2.1.23-1+deb9u4) stretch; urgency=medium

  * Non-maintainer upload.
  * Arbitrary text injection vulnerability in Mailman CGIs (CVE-2018-13796)
    (Closes: #903674)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 03 Sep 2018 22:00:38 +0200

mailman (1:2.1.23-1+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * XSS vulnerability allows malicious listowners to inject scripts into
    listinfo pages (CVE-2018-0618)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Jul 2018 23:26:09 +0200

mailman (1:2.1.23-1+deb9u2) stretch-security; urgency=high

  * CVE-2018-5950: XSS and information leak in user options.
    (Closes: #888201)

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 08 Feb 2018 07:54:28 +0100

mailman (1:2.1.23-1+deb9u1) stretch; urgency=medium

  * Fixed broken dependencies in SpamAssassin.py (Closes: #838288).   
    Thanks Stephen Rothwell for the patch.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 14 Sep 2017 12:23:04 +0200

mailman (1:2.1.23-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CSRF in user options (CVE-2016-6893, closes: #835970).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 13 Sep 2016 16:01:59 +0000
