=== debian/control ===
Source: mailman
Section: mail
Priority: optional
Maintainer: Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Lionel Elie Mamane <lmamane@debian.org>,
 Thijs Kinkhorst <thijs@debian.org>,
 Hector Garcia <hector@debian.org>
Build-Depends: debhelper (>= 9), autoconf, python-dev (>= 2.6.6-3~), gettext, python-dnspython
Standards-Version: 3.9.8
Homepage: http://www.list.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-mailman/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mailman/trunk/
X-Python-Version: >= 2.4
XS-Testsuite: autopkgtest

Package: mailman
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 logrotate (>= 3.8.0), ucf, lsb-base, apache2 | httpd,
 cron | cron-daemon,
 python-dnspython
Recommends: default-mta | mail-transport-agent
Suggests: spamassassin, lynx, listadmin
Description: Powerful, web-based mailing list manager
 The GNU Mailing List Manager, which manages email discussion lists
 much like Majordomo and Smartmail. Unlike most similar products,
 Mailman gives each mailing list a web page, and allows users to
 subscribe, unsubscribe, etc. over the web.  Even the list manager can
 administer his or her list entirely from the web.
 .
 Mailman also integrates most things people want to do with mailing
 lists, including archiving, mail <-> news gateways, and so on.  It
 has all of the features you expect from such a product, plus
 integrated support for the web (including web based archiving),
 automated bounce handling and integrated spam prevention.
