## mailman 2.1.23-1+deb9u5+8.0trisquel2

=== debian/changelog ===
mailman (1:2.1.23-1+deb9u5+8.0trisquel2) flidas; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 02 Nov 2020 13:41:54 +0000
