## mailman 2.1.26

=== debian/changelog ===
mailman (1:2.1.26-1ubuntu0.6) bionic-security; urgency=medium

  * SECURITY UPDATE: CRSF attack against a list admin
    - debian/patches/CVE-2021-44227.patch: don't allow unprivileged tokens
      for admin or admindb in Mailman/CSRFcheck.py, Mailman/Cgi/admin.py,
      Mailman/Cgi/admindb.py, Mailman/Cgi/edithtml.py.
    - CVE-2021-44227

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Dec 2021 10:56:56 -0500

mailman (1:2.1.26-1ubuntu0.5) bionic-security; urgency=medium

  * SECURITY UPDATE: XSS vulnerability
    - debian/patches/CVE-2021-43331.patch: sanitize URL from user
      option page in Mailman/Cgi/options.py.
    - CVE-2021-43331
  * SECURITY UPDATE: CSRF attack
    - debian/patches/CVE-2021-43332.patch: checks authorizations
      in Mailman/CSRFcheck.py, Mailman/Cgi/admindb.py.
    - CVE-2021-43332

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 17 Nov 2021 09:29:36 -0300

mailman (1:2.1.26-1ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Potential Privilege escalation via the user
    options page. (LP: #1947639)
    - debian/patches/CVE-2021-42096-CVE-2021-42097.patch: Always make
      the CSRF token for the user
    - CVE-2021-42096
  * SECURITY UPDATE: Potential CSRF attack via the user options page
    (LP: #1947640)
    - debian/patches/CVE-2021-42096-CVE-2021-42097.patch: ensure token
      is for the user whose option page is being requested
    - CVE-2021-42097

 -- Steve Beattie <steve.beattie@canonical.com>  Thu, 21 Oct 2021 14:24:48 -0700

mailman (1:2.1.26-1ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary Content Injection
    - debian/patches/CVE-2020-15011.diff: checks if
      roster private, if so log the info in Mailman/Cgi/private.py.
    - CVE-2020-15011

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 25 Jun 2020 15:20:16 -0300

mailman (1:2.1.26-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary Content Injection
    - debian/patches/CVE-2020-12108.diff: removed
      safeusers variable that allows arbitrary content
      to be injected in Mailman/Cgi/options.py.
    - CVE-2020-12108

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 07 May 2020 09:51:53 -0300

mailman (1:2.1.26-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: XSS vulnerability
    - debian/patches/93_CVE-2018-0618.patch: avoiding
      injections in Mailman/Gui/General.py, Mailman/Utils.py,
      Mailman/Gui/GUIBase.py
    - CVE-2018-0618
  * SECURITY UPDATE: Arbitrary text injection
    - debian/patches/94_CVE-2018-13796.patch: check for injections
      in Mailmain/Utils.py.
    - CVE-2018-13796
  * SECURITY UPDATE: XSS vulnerability
    - debian/patches/CVE-2020-12137.diff: use .bin extension
      for scrubbed application/octet-stream files in
      Mailman/Handlers/Scrubber.py.
    - CVE-2020-12137

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 28 Apr 2020 15:41:09 -0300

mailman (1:2.1.26-1) unstable; urgency=medium

  * New upstream release.
    - Fixes XSS in user options CGI (CVE-2018-5950, closes: #888201)
  * Document that this is the legacy branch of Mailman and that all
    major development is focused on Mailman 3 (package mailman3).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 04 Feb 2018 18:23:18 +0000

mailman (1:2.1.25-1) unstable; urgency=medium

  * New upstream release.
  * Checked for policy 4.1.3: removed init.d invocation from
    prerm and also from user instructions.
  * Upgraded to debhelper compat level 11.
  * Replace init script with systemd service file.
    Thanks a lot to Stefan Bühler for the helpful suggestion!
    This also should improve robustness against log rotation.
    (Closes: #881329, #733475, #505638)
  * Packaging cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 07 Jan 2018 18:22:51 +0000

mailman (1:2.1.24-1) unstable; urgency=medium

  * New upstream release.
  * Fixed broken dependencies in SpamAssassin.py (Closes: #838288).
    Thanks Stephen Rothwell for the patch.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 05 Sep 2017 14:31:54 +0000
