=== debian/control ===
Source: mailman
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>,
Build-Depends: debhelper (>= 11), autoconf, python-dev,
 gettext, python-dnspython, dh-python
Standards-Version: 4.1.3
Homepage: http://www.list.org/
Vcs-Git: https://salsa.debian.org/mailman-team/mailman2.git
Vcs-Browser: https://salsa.debian.org/mailman-team/mailman2
X-Python-Version: >= 2.7

Package: mailman
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 logrotate, ucf, lsb-base, apache2 | httpd,
 cron | cron-daemon,
 python-dnspython
Recommends: default-mta | mail-transport-agent
Suggests: mailman3,
 spamassassin, lynx, listadmin
Description: Web-based mailing list manager (legacy branch)
 The GNU Mailing List Manager, which manages email discussion lists.
 Mailman gives each mailing list a web page, and allows users to
 subscribe, unsubscribe, etc. over the web. The list manager can
 administer his or her list entirely from the web.
 .
 Mailman also integrates most things people want to do with mailing
 lists, including archiving, mail <-> news gateways, and so on. It
 has all of the features you expect from such a product, plus
 integrated support for the web (including web based archiving),
 automated bounce handling and integrated spam prevention.
 .
 Note that this package contains the legacy (2.x) branch of Mailman.
 All new development happens in the Mailman 3 suite, available in
 Debian via the mailman3 metapackage.
