=== debian/rules ===
--- 
+++ 
@@ -1,25 +1,18 @@
 #!/usr/bin/make -f
-# -*- makefile -*- made with the aid of debmake, by Christoph Lameter,
-# based on the sample debian/rules file for GNU hello by Ian Jackson.
+
+include /usr/share/dpkg/pkg-info.mk
 
 package=mailman
-PACKAGE=$(package)
-VERSION=$(shell dpkg-parsechangelog | awk '$$1 == "Version:" {print $$2}')
 
 binaries=list_lists find_member config_list mmsitepass newlist rmlist	\
 	add_members list_members remove_members arch clone_member	\
-	sync_members check_db check_perms list_admins withlist
-
-#export DH_VERBOSE=1
+	sync_members check_db check_perms list_admins withlist mailman-config
 
 SHELL=/bin/bash
 
-# the '-include' is for compatibility with squeeze.
-# replace with 'include' after squeeze support is over, or
-# replace with 'include /usr/share/dpkg/default.mk' to replace vars above
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/buildflags.mk
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -g
@@ -33,7 +26,7 @@
 build-indep: build-stamp
 build-stamp: Makefile debian/po/templates.pot
 	$(MAKE)
-	sed 's,@VERSION@,$(VERSION),g' < debian/preinst.in > debian/preinst
+	sed 's,@VERSION@,$(DEB_VERSION),g' < debian/preinst.in > debian/preinst
 	touch build-stamp
 
 debian/po/templates.pot: debian/templates
@@ -112,7 +105,7 @@
 
 	# note the current version to avoid aborting on same-version
 	# reinstallations - see the preinst script
-	echo "$(VERSION)" > debian/mailman/var/lib/$(package)/.version
+	echo "$(DEB_VERSION)" > debian/mailman/var/lib/$(package)/.version
 
 	dh_installlogrotate
 	dh_installcron
@@ -126,7 +119,7 @@
 		do dh_link usr/lib/$(package)/bin/$$bin usr/sbin/$$bin; done
 	mv debian/mailman/usr/sbin/arch debian/mailman/usr/sbin/mmarch
 	dh_installman
-	dh_installinit
+	dh_installsystemd
 	dh_installdebconf
 	dh_installexamples templates/* debian/mm_cfg.py \
 		debian/mailman/usr/lib/$(package)/Mailman/Defaults.py
@@ -143,6 +136,8 @@
 
 	# make lintian happy
 	install -m 0644 debian/lintian-overrides debian/mailman/usr/share/lintian/overrides/mailman
+	# reportbug text to discourage wishlist reports for legacy package
+	install -m 0644 debian/presubj debian/mailman/usr/share/bug/mailman/
 
 # Spamassassin plugin
 	install -m 0644 debian/contrib/SpamAssassin.py debian/mailman/usr/lib/$(package)/Mailman/Handlers
@@ -160,7 +155,7 @@
 	install -m 0644 debian/contrib/apache.conf debian/mailman/etc/mailman
 
 # Debian Powered icon
-	install -m 0644 debian/contrib/trisquelpowered.png debian/mailman/usr/share/images/mailman/
+	install -m 0644 debian/contrib/debianpowered.png debian/mailman/usr/share/images/mailman/
 
 # Move templates
 	mv `find debian/mailman/etc/mailman -mindepth 1 -maxdepth 1 -type d` debian/mailman/usr/share/mailman
@@ -190,7 +185,6 @@
 
 	install -d debian/mailman/usr/share/python/runtime.d
 	install debian/mailman.rtupdate debian/mailman/usr/share/python/runtime.d
-
 
 	egrep -rslZ '^#!(.*)python' debian/mailman/usr/lib/mailman | xargs -0 chmod a+x --
 	find debian/mailman/usr/share/doc/mailman -name "*.html" -exec chmod -x {} \;
@@ -217,3 +211,6 @@
 	dh_md5sums
 	dh_builddeb
 
+binary:		binary-indep binary-arch
+
+.PHONY: binary binary-arch binary-indep clean
