## mailman 2.1.29

=== debian/changelog ===
mailman (1:2.1.29-1ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: Potential Privilege escalation via the user
    options page. (LP: #1947639)
    - debian/patches/CVE-2021-42096-CVE-2021-42097.patch: Always make
      the CSRF token for the user
    - CVE-2021-42096
  * SECURITY UPDATE: Potential CSRF attack via the user options page
    (LP: #1947640)
    - debian/patches/CVE-2021-42096-CVE-2021-42097.patch: ensure token
      is for the user whose option page is being requested
    - CVE-2021-42097
  * SECURITY UPDATE: Arbitrary Content Injection
    - debian/patches/CVE-2020-12108.diff: removed
      safeusers variable that allows arbitrary content
      to be injected in Mailman/Cgi/options.py.
    - debian/patches/CVE-2020-15011.diff: checks if
      roster private, if so log the info in Mailman/Cgi/private.py.
    - CVE-2020-12108
    - CVE-2020-15011
  * SECURITY UPDATE: XSS vulnerability
    - debian/patches/CVE-2020-12137.diff: use .bin extension
      for scrubbed application/octet-stream files in
      Mailman/Handlers/Scrubber.py.
    - CVE-2020-12137

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 26 Oct 2021 17:47:22 +0000

mailman (1:2.1.29-1ubuntu3) focal; urgency=medium

  * Build-depend on python-all-dev.
  * Build using python2.
  * Use python2 in the postinst and the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Mar 2020 11:09:33 +0100

mailman (1:2.1.29-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:36:24 +0000

mailman (1:2.1.29-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-13796

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 05 Sep 2018 05:03:24 +0000

mailman (1:2.1.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Arbitrary text injection vulnerability in Mailman CGIs (CVE-2018-13796)
    (Closes: #903674)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Sep 2018 22:23:45 +0200

mailman (1:2.1.27-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-0618
  * Run dh_autoreconf to make build reproducble (closes: 889637).
    Thanks Chris Lamb for the patch.
  * Drop Debian patches mangling translations, upstream is in
    a much better shape nowadays (closes: 901810).
  * Checked for policy 4.1.4, no changes.
  * Set a SUBSCRIBE_FORM_SECRET in mm_cfg.py on new installs,
    to add protection against subscription spam in the default
    installation. Existing installs will not be changed because
    it might break external subscribe forms (closes: 900648).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 23 Jun 2018 13:23:17 +0000
