=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>,
-Build-Depends: debhelper (>= 11), autoconf, python-dev,
+Build-Depends: debhelper (>= 11), autoconf, python-all-dev,
  gettext, python-dnspython, dh-python
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.list.org/
 Vcs-Git: https://salsa.debian.org/mailman-team/mailman2.git
 Vcs-Browser: https://salsa.debian.org/mailman-team/mailman2
-X-Python-Version: >= 2.7
+Rules-Requires-Root: binary-targets
 
 Package: mailman
 Architecture: any
@@ -20,7 +20,7 @@
  cron | cron-daemon,
  python-dnspython
 Recommends: default-mta | mail-transport-agent
-Suggests: mailman3,
+Suggests: mailman3-full,
  spamassassin, lynx, listadmin
 Description: Web-based mailing list manager (legacy branch)
  The GNU Mailing List Manager, which manages email discussion lists.
