=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,9 @@
 	@debconf-updatepo
 
 Makefile:
+	dh_autoreconf
 	./configure --prefix=/var/lib/$(package) --with-username=list \
+		--with-python=/usr/bin/python2 \
 		--with-groupname=list \
 		--with-mail-gid=daemon --with-cgi-gid=www-data \
 		--without-permcheck --with-mailhost=localhost \
@@ -46,6 +48,7 @@
 	rm -rf build-stamp Makefile debian/ucffiles debian/mailman.postinst.ucf
 	rm -f debian/mailman.postrm.ucf
 	rm -f debian/preinst
+	dh_autoreconf_clean
 	dh_clean
 	chmod +x debian/{prerm,postinst}
