=== debian/tests/control ===
Tests: mailman
Depends: @, apache2, elinks, postfix, procmail, lsb-release
Restrictions: needs-root
