## mailman 2.1.29-1ubuntu3+9.0trisquel1

=== debian/changelog ===
mailman (1:2.1.29-1ubuntu3+9.0trisquel1) etiona; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Mar 2021 19:42:33 +0000
