## mailman 2.1.29.4

=== debian/changelog ===
mailman (1:2.1.29.4) unstable; urgency=medium

  * update

 -- Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>  Fri, 12 Nov 2021 19:03:27 +0800

mailman (1:2.1.29.3-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild
  * Update version

 -- tangmeng <tangmeng@uniontech.com>  Thu, 12 Nov 2021 12:22:08 +0800

mailman (1:2.1.29.3-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixes CVE-2021-42096 and CVE-2021-42097

 -- tangmeng <tangmeng@uniontech.com>  Thu, 4 Nov 2021 13:22:08 +0800

mailman (1:2.1.29.2-1) unstable; urgency=medium

  * finished task 66700
  * prohibit self_starting

 -- system-dev <system-dev@uniontech.com>  Fri, 19 Mar 2021 15:38:45 +0800

mailman (1:2.1.29.1-1+deb10u1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix installation stuck when in non-interactive mode.

 -- Thijs Kinkhorst <system-dev@uniontech.com>  Thu, 10 Sep 2020 16:40:04 +0800

mailman (1:2.1.29-1+deb10u1) buster-security; urgency=high

  * Upload to buster for security issue.
  * Fix stored cross site scripting in attachment extensions. 

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 24 Apr 2020 16:27:05 +0200
