=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 Makefile:
 	dh_autoreconf
 	./configure --prefix=/var/lib/$(package) --with-username=list \
-		--with-python=/usr/bin/python2 \
 		--with-groupname=list \
 		--with-mail-gid=daemon --with-cgi-gid=www-data \
 		--without-permcheck --with-mailhost=localhost \
@@ -122,7 +121,7 @@
 		do dh_link usr/lib/$(package)/bin/$$bin usr/sbin/$$bin; done
 	mv debian/mailman/usr/sbin/arch debian/mailman/usr/sbin/mmarch
 	dh_installman
-	dh_installsystemd
+	dh_installsystemd --no-enable
 	dh_installdebconf
 	dh_installexamples templates/* debian/mm_cfg.py \
 		debian/mailman/usr/lib/$(package)/Mailman/Defaults.py
@@ -158,7 +157,7 @@
 	install -m 0644 debian/contrib/apache.conf debian/mailman/etc/mailman
 
 # Debian Powered icon
-	install -m 0644 debian/contrib/trisquelpowered.png debian/mailman/usr/share/images/mailman/
+	install -m 0644 debian/contrib/debianpowered.png debian/mailman/usr/share/images/mailman/
 
 # Move templates
 	mv `find debian/mailman/etc/mailman -mindepth 1 -maxdepth 1 -type d` debian/mailman/usr/share/mailman
